package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/10/17
 */
public class TeacherClassGroupDto {

    @ApiModelProperty(value = "班级编号")
    private Long classGroupId;

    @ApiModelProperty(value = "班级名称")
    private String classGroupName;

    @ApiModelProperty(value = "学生数量")
    private Integer studentNum;

    @ApiModelProperty(value = "当前课时")
    private Integer currentClassTimes;

    @ApiModelProperty(value = "课程总数")
    private Integer totalClassTimes;

    @ApiModelProperty(value = "乐团编号")
    private Long musicGroupId;

    @ApiModelProperty(value = "乐团名称")
    private String musicGroupName;

    @ApiModelProperty(value = "学校编号")
    private Long schoolId;

    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    @ApiModelProperty(value = "科目编号列表")
    private String subjectIdList;

    @ApiModelProperty(value = "科目名称")
    private String subjectNames;

    @ApiModelProperty(value = "连续3节课未签到人数")
    private Integer threeClassNoAttendanceStudentNum;

    public String getSubjectIdList() {
        return subjectIdList;
    }

    public void setSubjectIdList(String subjectIdList) {
        this.subjectIdList = subjectIdList;
    }

    public Long getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Long classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Long getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(Long musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getSubjectNames() {
        return subjectNames;
    }

    public void setSubjectNames(String subjectNames) {
        this.subjectNames = subjectNames;
    }

    public Integer getThreeClassNoAttendanceStudentNum() {
        return threeClassNoAttendanceStudentNum;
    }

    public void setThreeClassNoAttendanceStudentNum(Integer threeClassNoAttendanceStudentNum) {
        this.threeClassNoAttendanceStudentNum = threeClassNoAttendanceStudentNum;
    }
}
